Subject: ORDERING rules vs. lessOrEqual filters

From: Hallvard B Furuseth <[email-masked]>
Date: Fri, 31 Jan 2003 14:03:54 +0100

[Syntaxes] 5.2.7 and 5.2.11 say the -OrderingMatch matching rules
evaluate to TRUE if and only if the attribute value is "less than"
the assertion value.

[Protocol] 4.5.1 says
     The matching rule and assertion syntax for greaterOrEqual and 
     lessOrEqual filter items is defined by the ORDERING matching rule 
     for the attribute type. 

How?  OK, a greaterOrEqual filter returns (not (result of the ORDERING
matching rule)).  But how is a lessOrEqual filter evaluated?  Does it
swap the assertion value and the attribute value, or must ORDERING
matching rules be implemented internally to return three values (less,
equal, greater) in addition to Undefined?

-- 
Hallvard